Update Agent
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"display_name": "<string>",
"status": "<string>",
"prompt_template_id": "<string>",
"custom_prompt": "<string>",
"new_prompt_title": "<string>",
"tool_ids": [
"<string>"
],
"source_ids": [
"<string>"
],
"pinned_document_ids": [
"<string>"
],
"number_docs_to_retrieve": 123,
"number_docs_to_display": 123,
"icon": "<string>",
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": true,
"is_background_agent": true,
"is_router_agent": true,
"default_router_agent_id": "<string>",
"reasoning_iterations": 123,
"order": 123,
"can_be_used_as_tool": true,
"tool_description": "<string>",
"share_conversation_context": true,
"max_call_depth": 123,
"satisfaction_feedback_activated": true,
"satisfaction_feedback_question": "<string>",
"satisfaction_feedback_helper_text": "<string>",
"satisfaction_feedback_no_action": "<string>",
"inject_user_ticket_context": true,
"ticket_context_days_limit": 123,
"ui_selectable": true
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}"
payload = {
"name": "<string>",
"display_name": "<string>",
"status": "<string>",
"prompt_template_id": "<string>",
"custom_prompt": "<string>",
"new_prompt_title": "<string>",
"tool_ids": ["<string>"],
"source_ids": ["<string>"],
"pinned_document_ids": ["<string>"],
"number_docs_to_retrieve": 123,
"number_docs_to_display": 123,
"icon": "<string>",
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": True,
"is_background_agent": True,
"is_router_agent": True,
"default_router_agent_id": "<string>",
"reasoning_iterations": 123,
"order": 123,
"can_be_used_as_tool": True,
"tool_description": "<string>",
"share_conversation_context": True,
"max_call_depth": 123,
"satisfaction_feedback_activated": True,
"satisfaction_feedback_question": "<string>",
"satisfaction_feedback_helper_text": "<string>",
"satisfaction_feedback_no_action": "<string>",
"inject_user_ticket_context": True,
"ticket_context_days_limit": 123,
"ui_selectable": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
display_name: '<string>',
status: '<string>',
prompt_template_id: '<string>',
custom_prompt: '<string>',
new_prompt_title: '<string>',
tool_ids: ['<string>'],
source_ids: ['<string>'],
pinned_document_ids: ['<string>'],
number_docs_to_retrieve: 123,
number_docs_to_display: 123,
icon: '<string>',
custom_llm_id: '<string>',
custom_llm_temperature: 123,
custom_llm_top_p: 123,
ignore_sources_restrictions: true,
is_background_agent: true,
is_router_agent: true,
default_router_agent_id: '<string>',
reasoning_iterations: 123,
order: 123,
can_be_used_as_tool: true,
tool_description: '<string>',
share_conversation_context: true,
max_call_depth: 123,
satisfaction_feedback_activated: true,
satisfaction_feedback_question: '<string>',
satisfaction_feedback_helper_text: '<string>',
satisfaction_feedback_no_action: '<string>',
inject_user_ticket_context: true,
ticket_context_days_limit: 123,
ui_selectable: true
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"object": "agent",
"display_name": "<string>",
"prompt_template_id": "<string>",
"prompt_template_name": "<string>",
"tools": [],
"sources": [],
"icon": "<string>",
"custom_icon_id": "<string>",
"is_background_agent": false,
"can_be_used_as_tool": false,
"ui_selectable": true,
"order": 123,
"pinned_documents": [],
"number_docs_to_retrieve": 8,
"number_docs_to_display": 8,
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": false,
"is_router_agent": false,
"default_router_agent_id": "<string>",
"reasoning_iterations": 1,
"tool_description": "<string>",
"share_conversation_context": false,
"max_call_depth": 5,
"satisfaction_feedback_activated": false,
"satisfaction_feedback_question": "",
"satisfaction_feedback_helper_text": "",
"satisfaction_feedback_no_action": "ticket_form",
"inject_user_ticket_context": false,
"ticket_context_days_limit": 7
}Agents
Update Agent
Update an existing agent.
PUT
/
api
/
v1
/
agents
/
{agent_id}
Update Agent
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"display_name": "<string>",
"status": "<string>",
"prompt_template_id": "<string>",
"custom_prompt": "<string>",
"new_prompt_title": "<string>",
"tool_ids": [
"<string>"
],
"source_ids": [
"<string>"
],
"pinned_document_ids": [
"<string>"
],
"number_docs_to_retrieve": 123,
"number_docs_to_display": 123,
"icon": "<string>",
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": true,
"is_background_agent": true,
"is_router_agent": true,
"default_router_agent_id": "<string>",
"reasoning_iterations": 123,
"order": 123,
"can_be_used_as_tool": true,
"tool_description": "<string>",
"share_conversation_context": true,
"max_call_depth": 123,
"satisfaction_feedback_activated": true,
"satisfaction_feedback_question": "<string>",
"satisfaction_feedback_helper_text": "<string>",
"satisfaction_feedback_no_action": "<string>",
"inject_user_ticket_context": true,
"ticket_context_days_limit": 123,
"ui_selectable": true
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}"
payload = {
"name": "<string>",
"display_name": "<string>",
"status": "<string>",
"prompt_template_id": "<string>",
"custom_prompt": "<string>",
"new_prompt_title": "<string>",
"tool_ids": ["<string>"],
"source_ids": ["<string>"],
"pinned_document_ids": ["<string>"],
"number_docs_to_retrieve": 123,
"number_docs_to_display": 123,
"icon": "<string>",
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": True,
"is_background_agent": True,
"is_router_agent": True,
"default_router_agent_id": "<string>",
"reasoning_iterations": 123,
"order": 123,
"can_be_used_as_tool": True,
"tool_description": "<string>",
"share_conversation_context": True,
"max_call_depth": 123,
"satisfaction_feedback_activated": True,
"satisfaction_feedback_question": "<string>",
"satisfaction_feedback_helper_text": "<string>",
"satisfaction_feedback_no_action": "<string>",
"inject_user_ticket_context": True,
"ticket_context_days_limit": 123,
"ui_selectable": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
display_name: '<string>',
status: '<string>',
prompt_template_id: '<string>',
custom_prompt: '<string>',
new_prompt_title: '<string>',
tool_ids: ['<string>'],
source_ids: ['<string>'],
pinned_document_ids: ['<string>'],
number_docs_to_retrieve: 123,
number_docs_to_display: 123,
icon: '<string>',
custom_llm_id: '<string>',
custom_llm_temperature: 123,
custom_llm_top_p: 123,
ignore_sources_restrictions: true,
is_background_agent: true,
is_router_agent: true,
default_router_agent_id: '<string>',
reasoning_iterations: 123,
order: 123,
can_be_used_as_tool: true,
tool_description: '<string>',
share_conversation_context: true,
max_call_depth: 123,
satisfaction_feedback_activated: true,
satisfaction_feedback_question: '<string>',
satisfaction_feedback_helper_text: '<string>',
satisfaction_feedback_no_action: '<string>',
inject_user_ticket_context: true,
ticket_context_days_limit: 123,
ui_selectable: true
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"object": "agent",
"display_name": "<string>",
"prompt_template_id": "<string>",
"prompt_template_name": "<string>",
"tools": [],
"sources": [],
"icon": "<string>",
"custom_icon_id": "<string>",
"is_background_agent": false,
"can_be_used_as_tool": false,
"ui_selectable": true,
"order": 123,
"pinned_documents": [],
"number_docs_to_retrieve": 8,
"number_docs_to_display": 8,
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": false,
"is_router_agent": false,
"default_router_agent_id": "<string>",
"reasoning_iterations": 1,
"tool_description": "<string>",
"share_conversation_context": false,
"max_call_depth": 5,
"satisfaction_feedback_activated": false,
"satisfaction_feedback_question": "",
"satisfaction_feedback_helper_text": "",
"satisfaction_feedback_no_action": "ticket_form",
"inject_user_ticket_context": false,
"ticket_context_days_limit": 7
}Authorizations
Path Parameters
Body
application/json
Schema for updating an agent via the v1 API.
Response
200 - application/json
OK
Full agent response schema for detail views.
